Subject: bug#18331: 24.4.50; REGRESSION, no `C-h k' for `C-g'

From: Drew Adams <[email-masked]>
Date: Wed, 27 Aug 2014 08:44:59 -0700 (PDT)

> > (That strange form is from my `custom-file', which is updated by
> > Customize. It corresponds to what `custom-set-variables' expects,
> > AFAICT.)
> 
> It is strange because you don't need it: global-font-lock-mode is
> already turned on by default, since long ago, and font-lock is
> preloaded, so there's no need for it in the form, even if you want
> to make sure global-font-lock-mode is on.

Suffering a bit from Emacs Dev myopia? ;-)

I do need it.  I use my `custom-file' for multiple Emacs versions.

The fact that `global-font-lock-mode' is now enabled by default is
irrelevant when you use an Emacs release in which it is not enabled
by default.

(Besides which, a user can still create such a custom setting today,
using the latest and greatest Emacs version.)